Skip to content
API Reference

Build with the Queeble API

RESTful API with comprehensive SDKs for seamless integration

View Endpoints

Quick Start

Get started with the Queeble API in minutes

🟢Node.js
npm install @queeble/sdk
🐍Python
pip install queeble
🐘PHP
composer require queeble/sdk
💎Ruby
gem install queeble
Example: Send a message
const Queeble = require('@queeble/sdk');

const client = new Queeble({
  apiKey: 'your_api_key'
});

// Send a message
const response = await client.messages.send({
  to: '+1234567890',
  type: 'text',
  text: {
    body: 'Hello from Queeble!'
  }
});

console.log(response.messageId);

Authentication

All API requests require authentication using your API key. Include your API key in the Authorization header of every request.

Authorization: Bearer YOUR_API_KEY

Rate Limits

API rate limits vary by plan. Standard plans allow 100 requests per minute, while enterprise plans have higher or unlimited limits.

Starter100 req/min
Professional500 req/min
EnterpriseUnlimited